GammalLib - Bug #3097

Error in ctobssim execution
12/10/2019 07:01 PM - Acharyya Atreya

Status: Rejected Start date: 12/10/2019
Priority: High Due date:

Assigned To: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
| am getting the fiollowing eroor for obssim.execute():

Traceback (most recent call last):

File "pl_simulations.py", line 79, in <module>

obssim.execute()

File "/usr/local/gamma/lib/python2.7/site-packages/ctools/tools.py", line 843, in execute

return _tools.ctool_execute(self)

ValueError: *** ERROR in GCTAResponseTable::table(std::string&): Invalid value. Table "BGD" not found. Please verify the
response table.

Not sure what it means...I think it maybe due to my choice of Irfs, | haven't used prod3b-v2 before
Have attached code used so far
Thanks in advance

History

#1 - 12/10/2019 07:12 PM - Knédlseder Jiirgen

Which version of ctools are you using? There was a name change, but recent ctools versions can cope with that. | guess that upgrading ctools will fix
the issue.

#2 -12/11/2019 11:06 AM - Acharyya Atreya
- % Done changed from 0 to 100

user#412 wrote:
| am getting the fiollowing eroor for obssim.execute():

Traceback (most recent call last):

File "pl_simulations.py", line 79, in <module>

obssim.execute()

File "/usr/local/gamma/lib/python2.7/site-packages/ctools/tools.py", line 843, in execute

return _tools.ctool_execute(self)

ValueError: *** ERROR in GCTAResponseTable::table(std::string&): Invalid value. Table "BGD" not found. Please verify the response table.

Not sure what it means...I think it maybe due to my choice of Irfs, | haven't used prod3b-v2 before
Have attached code used so far
Thanks in advance

Thanks | can confirm that for some reason my code was using a previous version of ctools and the matter is now resolved. Thanks Jurgen
#3 - 12/11/2019 12:31 PM - Knédlseder Jiirgen

- Status changed from New to Rejected

Files

pl_simulations.py 7.79 KB 12/10/2019 Acharyya Atreya

04/23/2024 22


http://www.tcpdf.org

